package vocation;

import com.engine.attendance.vacation.service.VocationService;
import com.engine.attendance.vacation.service.impl.VocationServiceImpl;
import com.engine.common.util.ServiceUtil;
import com.engine.common.util.Utils;
import com.engine.cube.service.ModeImpExpService;
import com.engine.cube.service.impl.ModeImpExpServiceImpl;
import com.google.common.collect.Maps;
import org.junit.Test;
import weaver.hrm.User;
import weaver.hrm.company.SubCompanyComInfo;
import workflow.beforlog;

import java.util.Map;

public class Test1 extends beforlog {
    private ModeImpExpService getService(User user) {
        return (ModeImpExpService) ServiceUtil.getService(ModeImpExpServiceImpl.class, user);
    }
    VocationService basicsetService = ServiceUtil.getService(VocationServiceImpl.class);
    @Test
    public  void test1() {
       Map<String,Object> params = Maps.newHashMap();
        Map<String,String> formmodeIdMap = Utils.getFormmodeIdMap();
        String modeId = formmodeIdMap.get("uf_jcl_kq_jqed");
        params.put("modeId",modeId);

        params.put("cover",1);
        basicsetService.generateVocation(params);
    }
    @Test
    public  void test2() throws Exception{
        System.out.println(new SubCompanyComInfo().getAllSupCompany("21"));

    }


}
